org.omg.CORBA

## Interface DynSequence

All Superinterfaces:
  DynAny, Object

Deprecated.
Use the new DynSequence instead

    @Deprecated
    public interface DynSequence
    extends Object, DynAny

The representation of a `DynAny` object that is associated with an IDL sequence.

### Method Summary

Methods
`Any[]` `get_elements()` Deprecated. Returns the value of every element in this sequence.
`int` `length()` Deprecated. Returns the length of the sequence represented by this `DynFixed` object.
`void` `length(int arg)` Deprecated. Sets the length of the sequence represented by this `DynFixed` object to the given argument.
`void` `set_elements(Any[] value)` Deprecated. Sets the values of all elements in this sequence with the given array.

### Methods inherited from interface org.omg.CORBA.DynAny

`assign, copy, current_component, destroy, from_any, get_any, get_boolean, get_char, get_double, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any, insert_boolean, insert_char, insert_double, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

### Methods inherited from interface org.omg.CORBA.Object

`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

### Method Detail

#### length

    int length()

Deprecated.
Returns the length of the sequence represented by this `DynFixed` object.

Returns:
  the length of the sequence

#### length

    void length(int arg)

Deprecated.
Sets the length of the sequence represented by this `DynFixed` object to the given argument.

Parameters:
  `arg` - the length of the sequence

#### get_elements

    Any[] get_elements()

Deprecated.
Returns the value of every element in this sequence.

Returns:
  an array of `Any` objects containing the values in the sequence
See Also:
  `set_elements(org.omg.CORBA.Any[])`

#### set_elements

    void set_elements(Any[] value)
                      throws InvalidSeq

Deprecated.
Sets the values of all elements in this sequence with the given array.

Parameters:
  `value` - the array of `Any` objects to be set
Throws:
  `InvalidSeq` - if the array of values is bad
See Also:
  `get_elements()`

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.